package com.mogo.cloud.tanlu.bean.location;


import android.text.TextUtils;

import java.io.Serializable;

/**
 * @description
 *
 * @author lixiaopeng
 * @since 2021/1/20
 */
public class MarkerLocationCloud implements Serializable {
    private double lat;//纬度
    private double lon;//经度
    private double angle;//车头角度，可以没有
    private String address;//具体的位置信息

    public double getLat() {
        return lat;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    public double getLon() {
        return lon;
    }

    public void setLon(double lon) {
        this.lon = lon;
    }

    public double getAngle() {
        return angle;
    }

    public void setAngle(double angle) {
        this.angle = angle;
    }

    public String getAddress() {
        if (TextUtils.isEmpty(address)) {
            return "";
        }
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    @Override
    public String toString() {
        return "MarkerLocation{" +
                "lat=" + lat +
                ", lon=" + lon +
                ", angle=" + angle +
                ", address='" + address + '\'' +
                '}';
    }
}
